Loading...
Searching...
No Matches
Ogre::DriverVersion Struct Reference
Core » RenderSystem

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver. More...

`#include <OgreRenderSystemCapabilities.h>`

## Public Member Functions

| DriverVersion ()
void | fromString (const String &versionString)
String | toString () const

## Public Attributes

int | build
int | major
int | minor
int | release

## Detailed Description

DriverVersion is used by RenderSystemCapabilities and both GL and D3D9 to store the version of the current GPU driver.

## Constructor & Destructor Documentation

## DriverVersion()

Ogre::DriverVersion::DriverVersion | ( |  | ) |

inline

References build, major, minor, and release.

## Member Function Documentation

## toString()

String Ogre::DriverVersion::toString | ( |  | ) | const

Referenced by Ogre::to_string().

## fromString()

void Ogre::DriverVersion::fromString | ( | const String & | versionString | ) |

Referenced by Ogre::RenderSystemCapabilities::parseDriverVersionFromString().

## Member Data Documentation

## major

int Ogre::DriverVersion::major

Referenced by DriverVersion(), and Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## minor

int Ogre::DriverVersion::minor

Referenced by DriverVersion(), and Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## release

int Ogre::DriverVersion::release

Referenced by DriverVersion(), and Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

## build

int Ogre::DriverVersion::build

Referenced by DriverVersion(), and Ogre::RenderSystemCapabilities::isDriverOlderThanVersion().

The documentation for this struct was generated from the following file:

- OgreRenderSystemCapabilities.h